Debian Bug report logs - #608442
use libreadline instead of libedit for psql

version graph

Package: postgresql-common; Maintainer for postgresql-common is Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>; Source for postgresql-common is src:postgresql-common.

Reported by: Sebastian Rose <sebastian_rose@gmx.de>

Date: Thu, 30 Dec 2010 22:54:01 UTC

Severity: important

Tags: l10n, sid

Merged with 607109, 607143, 607907, 611918

Found in version postgresql-common/113

Fixed in version postgresql-common/114

Done: Martin Pitt <mpitt@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Pitt <mpitt@debian.org>:
Bug#608442; Package postgresql-client-8.4. (Thu, 30 Dec 2010 22:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Rose <sebastian_rose@gmx.de>:
New Bug report received and forwarded. Copy sent to Martin Pitt <mpitt@debian.org>. (Thu, 30 Dec 2010 22:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sebastian Rose <sebastian_rose@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: postgresql-client-8.4: Input of non-ASCII characters broken
Date: Thu, 30 Dec 2010 23:48:50 +0100
Package: postgresql-client-8.4
Version: 8.4.5-0squeeze2
Severity: important
Tags: l10n

With the current postgresql-client-8.4 I cannot use some of my functions
anymore through the psql console interface:

psql=> SELECT * from func_monats_├╝bersicht(1, 1);

I cannot input an '├╝' character or any of the german umlauts.  The umlauts
still work when read from a file:


psql=> \i statistics.sql
psql=>=> \encoding
UTF8


If I try it on the bare Linux console, typing an '├╝' beeps.


sh$  locale
LANG=de_DE.utf8
LC_CTYPE="de_DE.utf8"
LC_NUMERIC="de_DE.utf8"
LC_TIME="de_DE.utf8"
LC_COLLATE="de_DE.utf8"
LC_MONETARY="de_DE.utf8"
LC_MESSAGES="de_DE.utf8"
LC_PAPER="de_DE.utf8"
LC_NAME="de_DE.utf8"
LC_ADDRESS="de_DE.utf8"
LC_TELEPHONE="de_DE.utf8"
LC_MEASUREMENT="de_DE.utf8"
LC_IDENTIFICATION="de_DE.utf8"
LC_ALL=






-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages postgresql-client-8.4 depends on:
ii  libc6                   2.11.2-7         Embedded GNU C Library: Shared lib
ii  libedit2                2.11-20080614-2  BSD editline and history libraries
ii  libpq5                  8.4.5-0squeeze2  PostgreSQL C client library
ii  libssl0.9.8             0.9.8o-4         SSL shared libraries
ii  postgresql-client-commo 113              manager for multiple PostgreSQL cl
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

postgresql-client-8.4 recommends no packages.

Versions of packages postgresql-client-8.4 suggests:
ii  postgresql-8.4           8.4.5-0squeeze2 object-relational SQL database, ve
ii  postgresql-doc-8.4       8.4.5-0squeeze2 documentation for the PostgreSQL d




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Pitt <mpitt@debian.org>:
Bug#608442; Package postgresql-client-8.4. (Wed, 12 Jan 2011 08:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to <ineu@dominion.dn.ua>:
Extra info received and forwarded to list. Copy sent to Martin Pitt <mpitt@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Wed, 12 Jan 2011 08:39:04 GMT) Full text and rfc822 format available.


Message #10 received at 608442@bugs.debian.org (full text, mbox):

From: <ineu@dominion.dn.ua>
To: 608442@bugs.debian.org
Date: Wed, 12 Jan 2011 10:28:53 +0200
The same is for sid's version 9.0.2. I'm trying to input cyrillic utf-8
characters, but they just don't appear. In previous version from
squeeze (8.4.4, i believe) it worked fine.
Also it seems to be debian-specific bug, as on Arch Linux psql 9.0.2
works as expected.




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Pitt <mpitt@debian.org>:
Bug#608442; Package postgresql-client-8.4. (Sat, 15 Jan 2011 07:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jasen Betts <jasen@xnet.co.nz>:
Extra info received and forwarded to list. Copy sent to Martin Pitt <mpitt@debian.org>. (Sat, 15 Jan 2011 07:45:04 GMT) Full text and rfc822 format available.

Message #15 received at 608442@bugs.debian.org (full text, mbox):

From: Jasen Betts <jasen@xnet.co.nz>
To: Debian Bug Tracking System <608442@bugs.debian.org>
Subject: Re: Input of non-ASCII characters broken
Date: Sat, 15 Jan 2011 13:14:13 +1300
Package: postgresql
Version: 8.4.5-0squeeze2
Severity: normal


I'm seeing this too, in older versions of psql I could paste any
unicode text that didn't have control characters and it would work
correctly, this is no longer the case.

this possibly stems from a recent change to psql to use libedit instead
of libreadline 

as a work around you can disable libedit by doing 

"cat | psql" instead of "psql" 

but that also disables all the useful editing features.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (700, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_NZ.UTF-8, LC_CTYPE=en_NZ.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages postgresql depends on:
ii  postgresql-8.4           8.4.5-0squeeze2 object-relational SQL database, ve

postgresql recommends no packages.

postgresql suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Pitt <mpitt@debian.org>:
Bug#608442; Package postgresql-client-8.4. (Sun, 06 Feb 2011 21:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <petere@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Pitt <mpitt@debian.org>. (Sun, 06 Feb 2011 21:06:03 GMT) Full text and rfc822 format available.

Message #20 received at 608442@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <petere@debian.org>
To: 608442@bugs.debian.org
Subject: Re: Bug#608442: postgresql-client-8.4: Input of non-ASCII characters broken
Date: Sun, 06 Feb 2011 22:54:03 +0200
This is because of the change to libedit.  It makes the package
effectively unusable except for the most simple uses.  A few other
things are also broken, such as \s and color prompts.  But not being
able to type in non-ASCII characters is a killer.





Information forwarded to debian-bugs-dist@lists.debian.org, Martin Pitt <mpitt@debian.org>:
Bug#608442; Package postgresql-client-8.4. (Sun, 13 Feb 2011 12:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Martin Pitt <mpitt@debian.org>. (Sun, 13 Feb 2011 12:39:06 GMT) Full text and rfc822 format available.

Message #25 received at 608442@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: 608442@bugs.debian.org
Subject: using libreadline within psql?
Date: Sun, 13 Feb 2011 13:01:42 +0100
Hi,

If calling psql as
  LD_PRELOAD=/lib/libreadline.so.5 psql
everything works as normal. As that is just usage, not linking, that
isn't covered by the GPL (see the pretext, stating that "Activities
other than copying, distribution and modification are not covered by
this License; they are outside its scope.  The act of running the
Program is not restricted [...]").

Now, that could be automated in the psql-script, checking if the
libreadline5-binary is there, and if so, using that (plus adding an
recommends, but that's a different story).

It should even be possible (but that's probably not for 8.4 anymore)
to link during compiletime with libedit, but try during execution to
load the most appropriate available library (LD_PRELOAD is a bit too
ugly I think - but probably the best we could do for squeeze).


Andi




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#608442; Package postgresql-client-8.4. (Sun, 13 Feb 2011 16:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. (Sun, 13 Feb 2011 16:45:10 GMT) Full text and rfc822 format available.

Message #30 received at 608442@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Andreas Barth <aba@not.so.argh.org>, 608442@bugs.debian.org
Subject: Re: Bug#608442: using libreadline within psql?
Date: Sun, 13 Feb 2011 17:43:29 +0100
Andreas Barth [2011-02-13 13:01 +0100]:
> If calling psql as
>   LD_PRELOAD=/lib/libreadline.so.5 psql
> everything works as normal. As that is just usage, not linking, that
> isn't covered by the GPL

I can't follow this reasoning. LD_PRELOAD invokes the linker (ld.so)
just in by and large the same way as a linked library through the ELF
header. I don't think that the origin of the link request (ELF header
or environment variable) matters in any way here.

Don't get me wrong, I really hate this libedit hack, but if people are
serious about it, then moving to LD_PRELOAD doesn't buy anything. Then
we can just as well ignore it [1] and switch back to the old
behaviour.

Martin

[1] FWIW, I'd fully support this. If someone from OpenSSL or
libreadline will actually complain and threat us, we can still switch
to libedit..

-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Pitt <mpitt@debian.org>:
Bug#608442; Package postgresql-client-8.4. (Sun, 13 Feb 2011 18:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Martin Pitt <mpitt@debian.org>. (Sun, 13 Feb 2011 18:21:04 GMT) Full text and rfc822 format available.

Message #35 received at 608442@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Martin Pitt <mpitt@debian.org>
Cc: 608442@bugs.debian.org
Subject: Re: Bug#608442: using libreadline within psql?
Date: Sun, 13 Feb 2011 19:18:26 +0100
* Martin Pitt (mpitt@debian.org) [110213 17:51]:
> Andreas Barth [2011-02-13 13:01 +0100]:
> > If calling psql as
> >   LD_PRELOAD=/lib/libreadline.so.5 psql
> > everything works as normal. As that is just usage, not linking, that
> > isn't covered by the GPL
> 
> I can't follow this reasoning. LD_PRELOAD invokes the linker (ld.so)
> just in by and large the same way as a linked library through the ELF
> header. I don't think that the origin of the link request (ELF header
> or environment variable) matters in any way here.

Perhaps we should pass that by debian-legal, ftp-masters and/or our
legal advisories. I'm not claiming that this is simple, or that my
understanding is correct.

Basically what we would do is the same as wine does: We have two
different implementations of the same binary abi. And abis are not
copyrightable, at least according to the FSF.


In details, my understanding is as follows:

The gpl regulates copying, distribution and modification of works. The
gpl also enforces that any work that is part of the source of a work
that is derived from an gpl-work and is distributed is gpl-compatible
licensed (because the resulting source bundle itself needs to be
gpl-compatible licensed). This especially means that any programm that
we distribute and that is derived from an gpl-library is licensed as
gpl-compatible, as well as any other libraries that work is derived
from.  "derived from" happens already if the packages uses .h-files
from the gpl-library, runs the "link stage" again the so-files during
compilation etc.

Now, the important place to look at is "derived work". If there is no
(relevant) gpl work in the source environment, how could the resulting
binary by derived from gpl?

If there is no distributed binary that is derived from gpl, the gpl
has no say about the source at all.

So, as we don't deliver binary packages that are derived from the
libreadline-code (as libreadline isn't part of the source environment
used during building packages), that's ok.

(Please note that the important reason why we could do that is because
there is some basically working non-gpl library package using the same
ABI. We wouldn't be able to "just copy the .h-files around", because
the .h-files would be derived from an gpl work, and therefore be
within the gpl license itself. And it only works because the gpl
believes that interfaces itself are not copyrightable. We need an
cleanroom-implementation of the same ABI, and we have it in this case.)





> Don't get me wrong, I really hate this libedit hack, but if people are
> serious about it, then moving to LD_PRELOAD doesn't buy anything. Then
> we can just as well ignore it [1] and switch back to the old
> behaviour.

I agree with you - unless we consider that LD_PRELOAD is actually
"less evil", there is no reason for doing it (because technically
that is definitly uglier).


Andi




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#608442; Package postgresql-client-8.4. (Sun, 13 Feb 2011 19:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. (Sun, 13 Feb 2011 19:24:05 GMT) Full text and rfc822 format available.

Message #40 received at 608442@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Andreas Barth <aba@not.so.argh.org>, 608442@bugs.debian.org
Subject: Re: Bug#608442: using libreadline within psql?
Date: Sun, 13 Feb 2011 20:21:31 +0100
Hello Andreas,

Andreas Barth [2011-02-13 19:18 +0100]:
> from.  "derived from" happens already if the packages uses .h-files
> from the gpl-library, runs the "link stage" again the so-files during
> compilation etc.

So you think "linking" in the license sense just applies to the time
when we build the package (and have the header files available), and
not any more to the runtime stage when we execute the program? If that
offers a legally acceptable workaround, I'm happy to apply it.  :-)
I'd still have a weird feeling about it, though, as the end result for
the user is exactly the same..

> So, as we don't deliver binary packages that are derived from the
> libreadline-code (as libreadline isn't part of the source environment
> used during building packages), that's ok.

So I don't understand why merely building against an API already makes
a program a "derived work" of that API; it's merely using that API,
after all?

Anyway, thanks a lot for your input and suggestions here!

Martin

-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Pitt <mpitt@debian.org>:
Bug#608442; Package postgresql-client-8.4. (Sun, 13 Feb 2011 20:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Martin Pitt <mpitt@debian.org>. (Sun, 13 Feb 2011 20:30:06 GMT) Full text and rfc822 format available.

Message #45 received at 608442@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Martin Pitt <mpitt@debian.org>
Cc: 608442@bugs.debian.org
Subject: Re: Bug#608442: using libreadline within psql?
Date: Sun, 13 Feb 2011 21:28:01 +0100
* Martin Pitt (mpitt@debian.org) [110213 20:21]:
> Andreas Barth [2011-02-13 19:18 +0100]:
> > from.  "derived from" happens already if the packages uses .h-files
> > from the gpl-library, runs the "link stage" again the so-files during
> > compilation etc.
> 
> So you think "linking" in the license sense just applies to the time
> when we build the package (and have the header files available), and
> not any more to the runtime stage when we execute the program? If that

Header files *might* contain more than just structures, e.g. #defines
which might contain code. If a header file contains just structures
and names, and no code / whatever else, then it just describes an api
and for people who don't believe in interface copyrights (like the
FSF) it isn't copyrightable. 

Also during link time, some data from the .so-file pointed at might be
included in the resulting binary by the linker. So that makes the
resulting binary derived from the .so.

> offers a legally acceptable workaround, I'm happy to apply it.  :-)

That's my understanding. As I said, I'm happy to pass that via
d-legal or whoever else - I don't claim to necessarily be always
right, but that's what I learned during the last few years.


> I'd still have a weird feeling about it, though, as the end result for
> the user is exactly the same..

I agree about the feeling. The legal world however has lots of strange
parts.


> > So, as we don't deliver binary packages that are derived from the
> > libreadline-code (as libreadline isn't part of the source environment
> > used during building packages), that's ok.

> So I don't understand why merely building against an API already makes
> a program a "derived work" of that API; it's merely using that API,
> after all?

Basically, because 
a) the .h-files might contain code (though in some cases .h might be
irrelevant for copyright, but one has to look at the file)
b) data from the .so is included.


It's hard to get away from "derived" if the .h/.so is installed in the
build environment. If however the .h/.so isn't installed there, I
don't see how the process of building could violate the license of an
non-installed programm (well, if the license is DFSG-free - it's easy
to write an license that says "if you use this code once, we own your
soul", but that's something else).



Andi




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#608442; Package postgresql-client-8.4. (Sun, 13 Feb 2011 21:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. (Sun, 13 Feb 2011 21:09:08 GMT) Full text and rfc822 format available.

Message #50 received at 608442@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Andreas Barth <aba@not.so.argh.org>
Cc: 608442@bugs.debian.org
Subject: Re: Bug#608442: using libreadline within psql?
Date: Sun, 13 Feb 2011 22:05:22 +0100
[Message part 1 (text/plain, inline)]
retitle 608442 use libreadline instead of libedit for psql
reassign 608442 postgresql-common 113
forcemerge 608442 607907 607109 611918
thanks

Thank you Andi for the more detailled explanation!

So here's my plan of record:

 * I will continue to build the postgresql-X.Y packages against
   libedit, to have a build/linking process which satisfies the licenses.

 * postgresql-client-common ships a wrapper for psql anyway (for the
   multi-version/multi-cluster infrastructure). I'll update that to
   add libreadline to LD_PRELOAD, if available.

 * Add libreadline recommends to postgresql-client-common.

Martin
-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'use libreadline instead of libedit for psql' from 'postgresql-client-8.4: Input of non-ASCII characters broken' Request was from Martin Pitt <mpitt@debian.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 21:09:10 GMT) Full text and rfc822 format available.

Bug reassigned from package 'postgresql-client-8.4' to 'postgresql-common'. Request was from Martin Pitt <mpitt@debian.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 21:09:11 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions postgresql-8.4/8.4.5-0squeeze2. Request was from Martin Pitt <mpitt@debian.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 21:09:11 GMT) Full text and rfc822 format available.

Bug Marked as found in versions postgresql-common/113. Request was from Martin Pitt <mpitt@debian.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 21:09:12 GMT) Full text and rfc822 format available.

Forcibly Merged 607109 607143 607907 608442 611918. Request was from Martin Pitt <martin.pitt@ubuntu.com> to control@bugs.debian.org. (Sun, 13 Feb 2011 21:27:22 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Martin Pitt <mpitt@debian.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 21:27:25 GMT) Full text and rfc822 format available.

Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Sun, 13 Feb 2011 21:51:32 GMT) Full text and rfc822 format available.

Notification sent to Sebastian Rose <sebastian_rose@gmx.de>:
Bug acknowledged by developer. (Sun, 13 Feb 2011 21:51:32 GMT) Full text and rfc822 format available.

Message #67 received at 608442-close@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: 608442-close@bugs.debian.org
Subject: Bug#608442: fixed in postgresql-common 114
Date: Sun, 13 Feb 2011 21:48:49 +0000
Source: postgresql-common
Source-Version: 114

We believe that the bug you reported is fixed in the latest version of
postgresql-common, which is due to be installed in the Debian FTP archive:

postgresql-client-common_114_all.deb
  to main/p/postgresql-common/postgresql-client-common_114_all.deb
postgresql-common_114.dsc
  to main/p/postgresql-common/postgresql-common_114.dsc
postgresql-common_114.tar.gz
  to main/p/postgresql-common/postgresql-common_114.tar.gz
postgresql-common_114_all.deb
  to main/p/postgresql-common/postgresql-common_114_all.deb
postgresql-server-dev-all_114_all.deb
  to main/p/postgresql-common/postgresql-server-dev-all_114_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 608442@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Pitt <mpitt@debian.org> (supplier of updated postgresql-common package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 13 Feb 2011 22:28:33 +0100
Source: postgresql-common
Binary: postgresql-common postgresql-client-common postgresql-server-dev-all
Architecture: source all
Version: 114
Distribution: unstable
Urgency: low
Maintainer: Martin Pitt <mpitt@debian.org>
Changed-By: Martin Pitt <mpitt@debian.org>
Description: 
 postgresql-client-common - manager for multiple PostgreSQL client versions
 postgresql-common - PostgreSQL database-cluster manager
 postgresql-server-dev-all - extension build tool for multiple PostgreSQL versions
Closes: 607109 607907 607946 608442 608522 611918
Changes: 
 postgresql-common (114) unstable; urgency=low
 .
   * debian/supported-versions: Add Ubuntu 11.04. Drop versions which are newer
     than the ones supported in the released versions, as backports are now
     generally accepted by our .config scripts, but having those newer versions
     confuses pg_buildext.
   * debian/postgresql-common.config: Silence warning from --compare-versions
     when being called through a trigger and $2 is not a version number.
     This works around the underlying dpkg problem. (Closes: #608522)
   * Add debian/postgresql-common.sysctl: sysctl.d/ template for changing
     kernel.shmmax and kernel.shmall, which is very common with PostgreSQL.
     Install it in debian/rules. Thanks to Peter Eisentraut for the suggestion!
     (Closes: #607946)
   * testsuite: Take new unified init script into account when stopping
     existing clusters. Thanks Steve Beattie! (LP: #712200)
   * pg_wrapper: If libreadline is installed, LD_PRELOAD this for "psql", to
     avoid using the rather broken libedit. We need to build the postgresql-X.Y
     packages against libedit for license reasons (#603599), but as libreadline
     has a drop-in compatible ABI, this works around the licensing
     restrictions. Thanks to Andreas Barth for working this out! Add a
     recommends to libreadline6. (Closes: #608442, #607907, #607109, #611918)
Checksums-Sha1: 
 5bb571d6e585983697c509290b94176d5e6678ce 1579 postgresql-common_114.dsc
 7a8a6d5a74c6ba4f1eea96176335542254b255ed 128323 postgresql-common_114.tar.gz
 73c16df6dfce21e02692ecf9d782121267db7b53 128170 postgresql-common_114_all.deb
 247f994e2d04f324c7adcb1a4081748aebef0ca0 57594 postgresql-client-common_114_all.deb
 09a5b13ae5c480f5bf4c64f32aa747bfb14f2615 42706 postgresql-server-dev-all_114_all.deb
Checksums-Sha256: 
 cef86b4990304d742544f26e29185e4d7caf14252e82f4bc69007da4524bbe81 1579 postgresql-common_114.dsc
 7d0ff9edc4c8783b262c3ddf5136035095349ab45818af6860290708da8b9fc9 128323 postgresql-common_114.tar.gz
 0f4d8fb66307396eb8aff4deb2bac594a8d5a217acaebf33bbf44ec6cd0c53c2 128170 postgresql-common_114_all.deb
 7cbd4aa9c1b63ccaabb68e52ef4792d04c31da3fba521f9fd2ee735774d5d476 57594 postgresql-client-common_114_all.deb
 e6adeff0fa564d774d55d6f007d46b8baae37201df2cc19750a6d718714eda42 42706 postgresql-server-dev-all_114_all.deb
Files: 
 84c174c7bfc1b104c3b534001683bb7d 1579 database optional postgresql-common_114.dsc
 daf3387a35a586c78a9418abd5dc41b3 128323 database optional postgresql-common_114.tar.gz
 4fefcbff731c60f7706975e23b415797 128170 database optional postgresql-common_114_all.deb
 3d934af178c5d9dd79da1f14d272f101 57594 database optional postgresql-client-common_114_all.deb
 a8e3923b0d39a4c9c8161c0b087ba160 42706 database optional postgresql-server-dev-all_114_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJNWE1QAAoJEPmIJawmtHufogoP/iEbuRDXHnzSuc8IR8XdjeRd
0mG8yhZXFw4T/EHLqbnOD4FxDMU8eD9YJtlzHC0wYnnEmMh5wd29fzyz7vhrNw54
y5mxc+wGvcaHcnYdFYMRwXx999jiFygZ0cSGDMCC2D+pg0PbIg9+BeqtFpU97WiH
kC2uhGwFTHjl7kFRm2iVVFBqgtUGhKkFwEV5LQ1hgw2+AZv03pt61+x80cz65a19
nr42A/FwgqtfVRGcOhBFIhPlz/4n0JohpeTKJ7/Ly82EPQ6dnFLJI3mxI2bphij5
l5nahB4EknnAGsBsQjqo3n4usLhBcS6SmChCdWT7LfZhDlQtjs2RuBshrClCz9nU
BowSYfZ/6AyPQHrNUIjQHlIp3QerweSbhIaHdGf1X7GynZz13UQMzUzi3YSHh6lf
P0uEUzT10bG791ZiUdvY70j3dEk18ZSIM1drC/k1JC/YBgdLmb/UShsy//57mvcx
L7Eg1VCokd/3NJntHBcYuzybpMmFxqCVV6kePN3KkLMWb+4aW+KLXQzNin16vtud
4lRZ0c/b4Sihox48H9GugvZK3JpnCARLKmdvvczub2425m0XGpQS6q+zs1bv6Itu
JMCW1G/GBHYvo7UXI5eCMI7sId9C+9JzwPiLfrL8sXmb/tDifJ4rk+wCXLfKkBhe
ydVIDy+m7vKaEJtE46NH
=NdED
-----END PGP SIGNATURE-----





Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Sun, 13 Feb 2011 21:51:32 GMT) Full text and rfc822 format available.

Notification sent to Antti Salmela <asalmela@iki.fi>:
Bug acknowledged by developer. (Sun, 13 Feb 2011 21:51:33 GMT) Full text and rfc822 format available.

Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Sun, 13 Feb 2011 21:51:33 GMT) Full text and rfc822 format available.

Notification sent to Sergey Burladyan <eshkinkot@gmail.com>:
Bug acknowledged by developer. (Sun, 13 Feb 2011 21:51:33 GMT) Full text and rfc822 format available.

Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Sun, 13 Feb 2011 21:51:34 GMT) Full text and rfc822 format available.

Notification sent to Jeff Turner <jeff@biccard.com>:
Bug acknowledged by developer. (Sun, 13 Feb 2011 21:51:34 GMT) Full text and rfc822 format available.

Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Sun, 13 Feb 2011 21:51:35 GMT) Full text and rfc822 format available.

Notification sent to Pascal Volk <user@localhost.localdomain.org>:
Bug acknowledged by developer. (Sun, 13 Feb 2011 21:51:35 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Pitt <mpitt@debian.org>:
Bug#608442; Package postgresql-common. (Mon, 14 Feb 2011 12:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronald Work <r@ukplc.net>:
Extra info received and forwarded to list. Copy sent to Martin Pitt <mpitt@debian.org>. (Mon, 14 Feb 2011 12:03:07 GMT) Full text and rfc822 format available.

Message #92 received at 608442@bugs.debian.org (full text, mbox):

From: Ronald Work <r@ukplc.net>
To: "608442@bugs.debian.org" <608442@bugs.debian.org>
Cc: Martin Pitt <mpitt@debian.org>
Subject: Re: Bug#608442: using libreadline within psql?
Date: Mon, 14 Feb 2011 11:57:55 +0000
It looks like you have a work around by building against libedit, but linking to against libreadline.  I think this is a big improvement against everything being broken, but a really _HORRIBLE_ ingenious solution :)

Could we not go back to building against libreadline and reopen  the licencing bug as not yet resolved.

The issue has now been raised across the community and I do not think any other distribution has dropped building against libreadline.  There is now a work around that can be implemented quickly in case libreadline becomes a serious legal issue.

However, it think from a maintenance point of view, building against a broken lib and linking to another on the fly is really confusing, and it would be good to verify if the licencing issue is real.

-- 
Ronald Duncan 






Information forwarded to debian-bugs-dist@lists.debian.org, Martin Pitt <mpitt@debian.org>:
Bug#608442; Package postgresql-common. (Wed, 16 Feb 2011 21:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Pitt <mpitt@debian.org>. (Wed, 16 Feb 2011 21:33:04 GMT) Full text and rfc822 format available.

Message #97 received at 608442@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 608442@bugs.debian.org
Subject: LD_PRELOAD vs linking
Date: Wed, 16 Feb 2011 17:29:17 -0400
[Message part 1 (text/plain, inline)]
I'm doubtful that there is a legal difference between 

a. shipping a binary linked to the GPLed libfoo
b. shipping a binary linked to libbar, with a wrapper that LD_PRELOADs libfoo

In either case you have some data that instructs ld.so to load libfoo
with the binary, and in both cases that data is being shipped with the
binary. The intent is clearly to ship software that uses libfoo,
and that software is not GPL-compatible, so you can't do that.

IANAL, YANAL: So, this should not be done without consulting a lawyer.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 24 Mar 2011 07:32:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:05:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.